## python-tabledata 1.3.3

=== Makefile ===
AUTHOR := thombashi
PACKAGE := tabledata
BUILD_WORK_DIR := _work
DOCS_DIR := docs
DOCS_BUILD_DIR := $(DOCS_DIR)/_build
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)

PYTHON := python3


.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone https://github.com/$(AUTHOR)/$(PACKAGE).git --depth 1 && \
		cd $(PACKAGE) && \
		$(PYTHON) -m tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	@rm -rf $(BUILD_WORK_DIR)
	@$(PYTHON) -m tox -e clean

.PHONY: idocs
idocs:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade .
	@$(MAKE) docs

.PHONY: docs
docs:
	@$(PYTHON) -m tox -e docs

.PHONY: fmt
fmt:
	@$(PYTHON) -m tox -e fmt

.PHONY: readme
readme:
	@$(PYTHON) -m tox -e readme

.PHONY: release
release:
	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign --verbose --search-dir $(PACKAGE)
	@$(MAKE) clean

.PHONY: setup
setup:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd tox
	@$(PYTHON) -m pip check

=== debian/changelog ===
python-tabledata (1.3.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 17:06:57 +0900

python-tabledata (1.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1076758)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 20:58:24 +0900

=== debian/control ===
Source: python-tabledata
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dataproperty <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-typepy <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/thombashi/tabledata
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tabledata
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tabledata.git

Package: python3-tabledata
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for tabular data representation and manipulation
 This library provides a comprehensive solution for representing and
 manipulating tabular data within Python applications. It is ideal for projects
 involving data tables, such as generating reports, creating data
 transformations, or integrating with databases.
 .
 The core functionality includes the ability to represent any dataset as a
 table with rich formatting and conversion options.
 .
 Additionally, it offers compatibility with other libraries like pytablewriter,
 pytablereader, and SimpleSQLite, enhancing its utility in database operations
 and data serialization/deserialization tasks.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tabledata

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tabledata.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-tabledata-$1\.tar\.gz/ \
  https://github.com/thombashi/tabledata/tags .*/v?(\d\S+)\.tar\.gz

## python-tabledata 1.3.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-AUTHOR := thombashi
 PACKAGE := tabledata
 BUILD_WORK_DIR := _work
 DOCS_DIR := docs
@@ -7,12 +6,16 @@
 
 PYTHON := python3
 
+AUTHOR := Tsuyoshi Hombashi
+FIRST_RELEASE_YEAR := 2017
+LAST_UPDATE_YEAR := $(shell git log -1 --format=%cd --date=format:%Y)
+
 
 .PHONY: build-remote
 build-remote: clean
 	@mkdir -p $(BUILD_WORK_DIR)
 	@cd $(BUILD_WORK_DIR) && \
-		git clone https://github.com/$(AUTHOR)/$(PACKAGE).git --depth 1 && \
+		git clone https://github.com/thombashi/$(PACKAGE).git --depth 1 && \
 		cd $(PACKAGE) && \
 		$(PYTHON) -m tox -e build
 	ls -lh $(PKG_BUILD_DIR)/dist/*
@@ -50,10 +53,20 @@
 
 .PHONY: release
 release:
-	@cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --sign --verbose --search-dir $(PACKAGE)
-	@$(MAKE) clean
+	$(PYTHON) -m tox -e release
+	$(MAKE) clean
 
-.PHONY: setup
-setup:
-	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd tox
-	@$(PYTHON) -m pip check
+.PHONY: setup-ci
+setup-ci:
+	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade pip
+	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade tox
+
+.PHONY: setup-dev
+setup-dev: setup-ci
+	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test]
+	$(PYTHON) -m pip check
+
+.PHONY: update-copyright
+update-copyright:
+	sed -i "s/f\"Copyright .*/f\"Copyright $(FIRST_RELEASE_YEAR)-$(LAST_UPDATE_YEAR), {__author__}\"/" $(PACKAGE)/__version__.py
+	sed -i "s/^Copyright (c) .* $(AUTHOR)/Copyright (c) $(FIRST_RELEASE_YEAR)-$(LAST_UPDATE_YEAR) $(AUTHOR)/" LICENSE

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = tabledata
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== requirements/requirements.txt ===
DataProperty>=1.0.1,<2
typepy>=1.2.0,<2

=== debian/changelog ===
python-tabledata (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Simplify debian/watch.
  * Simplify debian/rules.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Sat, 11 Jan 2025 15:45:11 -0600

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: python-tabledata
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-dataproperty <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-setuptools,
-               python3-typepy <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-dataproperty <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-typepy <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/thombashi/tabledata
@@ -19,7 +22,9 @@
 
 Package: python3-tabledata
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python library for tabular data representation and manipulation
  This library provides a comprehensive solution for representing and
  manipulating tabular data within Python applications. It is ideal for projects

=== debian/watch ===
version=4
https://github.com/thombashi/tabledata/tags .*/v?(\d\S+)\.tar\.gz
